Subject: Re: RFC: Making submodules "track" branches

From: Marc Branchaud <[email-masked]>
Date: Wed, 09 Jun 2010 10:36:34 -0400

On 10-06-08 04:23 PM, Ævar Arnfjörð Bjarmason wrote:
> On Tue, Jun 8, 2010 at 19:32, Marc Branchaud <[email-masked]> wrote:
>>
>> Opting in or out can't just be a monolithic setting for each submodule.  A
>> submodule's branch tracking has to be on or off depending on the circumstances.
> 
> I don't really get what the objection is exactly. How should "branch
> tracking" be achieved do you think?

Well, I outlined some ideas in my first message in this thread...

>> I guess what I'm saying is that duplicating svn's externals doesn't seem all
>> that useful to me and I'd rather see git do better.  I've no objection if
>> folks want to have such a feature, but to me it's not what "submodules
>> tracking branches" should be about.
> 
> Obviously I have no objection to doing better, but how specifically
> should that be done? If the semantics you want are "give me the latest
> version of $URL, whatever that is" then the SVN semantics are pretty
> good.

The nuance is that the semantics aren't "*always* give me the latest version
of $URL" but rather "*sometimes* give me the latest version of $URL."

Anyway, others have raised issues that touch on this, and I'm happy to just
see where those discussions go.

		M.